<?php
function amiran98_setup() {
	load_theme_textdomain('amiran98',get_template_directory().'/lang');
	get_template_part('guide');
	$args = array(
		'flex-width'    => true,
		'width'         => 250,
		'flex-height'    => true,
		'height'        => 100,
		'default-image' => get_template_directory_uri() . '/images/eng-Amiran98.png',
	);
	add_theme_support( 'custom-header', $args );
	$args = array(
		'default-color' => '000000',
		'default-image' => get_template_directory_uri() . '/images/bg.jpg',
	);
	add_theme_support( 'custom-background', $args );
	if ( ! isset( $content_width ) ) $content_width = 678;
	add_editor_style();
	add_theme_support('post-thumbnails');
	add_theme_support( 'automatic-feed-links' );
	register_nav_menu( 'top-menu', __( 'Primary menu','amiran98') );	
}
add_action( 'after_setup_theme', 'amiran98_setup' );

function amiran98_wp_title( $title, $sep ) {
	global $paged, $page;

	if ( is_feed() )
		return $title;

	// Add the site name.
	$title .= get_bloginfo( 'name' );

	// Add the site description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";

	// Add a page number if necessary.
	if ( $paged >= 2 || $page >= 2 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'twentytwelve' ), max( $paged, $page ) );

	return $title;
}
add_filter( 'wp_title', 'amiran98_wp_title', 10, 2 );

function amiran98_scripts() {
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );
	wp_enqueue_style( 'style', get_stylesheet_uri() );
	wp_enqueue_style( 'slider', get_template_directory_uri() . '/css/slider.css');
	wp_deregister_script('jquery');
    wp_register_script('jquery', "http" . ($_SERVER['SERVER_PORT'] == 443 ? "s" : "") . "://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js", false, null);
    wp_enqueue_script('jquery');
	wp_enqueue_script( 'scripts', get_template_directory_uri() . '/js/scripts.js', array( 'jquery' ), '2013-9-10', true );
	wp_enqueue_script( 'responsiveslides', get_template_directory_uri() . '/js/responsiveslides.min.js', array( 'jquery' ), '2013-9-10', true );
}
add_action( 'wp_enqueue_scripts', 'amiran98_scripts' );

function amiran98_widgets_init(){
    register_sidebar(array(
        'name' => __('Widget Area', 'amiran98'),
        'id' => 'sidebar-1',
        'description' => __('Appears on posts and pages in the sidebar.', 'amiran98'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<div class="title-divider"><h3 class="widget-title">',
        'after_title' => '</h3><div class="divider-arrow"></div></div>'
    ));
    register_sidebar(array(
        'name' => __('Widget Area', 'amiran98'),
        'id' => 'sidebar-2',
        'description' => __('Appears on posts and pages in the sidebar.', 'amiran98'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<div class="title-divider"><h3 class="widget-title">',
        'after_title' => '</h3><div class="divider-arrow"></div></div>'
    ));
}
add_action( 'widgets_init', 'amiran98_widgets_init' );

function post_image_thumbnail() {
    if ( has_post_thumbnail() ) {
        the_post_thumbnail('thumbnail');
    }
    else {
        echo '<img alt="No-Preview" src="' .  get_stylesheet_directory_uri() . '/images/no-preview.png" />';
    }
}
add_action('admin_menu', 'amiran98_add_theme_page');

function amiran98_init() {
	// Slider //
	add_option('amiran98_slider_activate');
	add_option('amiran98_slider_cat', '1,2,3');
	add_option('amiran98_slider_number', '5');
	// Social Icons //
	add_option('facebook-link', 'https://www.facebook.com/alimir.ir');
	add_option('twitter-link', 'https://twitter.com/alimirir');
	add_option('rss-link', '#');
	add_option('in-link', '#');
}

function amiran98_add_theme_page() {
	if((get_option('amiran98_slider_cat') == '')||(get_option('amiran98_slider_number') == '')
	||(get_option('facebook-link') == '')||(get_option('twitter-link') == '')||(get_option('rss-link') == '')||(get_option('in-link') == '')) {
		amiran98_init();
	}
	
	if (isset($_GET['page']) == basename(__FILE__)) {
		if ( 'save' == isset($_REQUEST['action']) ) {
			if(isset($_REQUEST['amiran98_slider_activate'])) {
				update_option('amiran98_slider_activate', $_REQUEST['amiran98_slider_activate']);
			} else	update_option('amiran98_slider_activate', 'amiran98');
			
			if(isset($_REQUEST['amiran98_slider_cat'])) {
				update_option('amiran98_slider_cat', $_REQUEST['amiran98_slider_cat']);
			} else	update_option('amiran98_slider_cat', 'amiran98');	
			
			if(isset($_REQUEST['amiran98_slider_number'])) {
				update_option('amiran98_slider_number', $_REQUEST['amiran98_slider_number']);
			} else	update_option('amiran98_slider_number', 'amiran98');	
			
			if(isset($_REQUEST['facebook-link'])) {
				update_option('facebook-link', $_REQUEST['facebook-link']);
			} else	update_option('facebook-link', 'amiran98');	
			
			if(isset($_REQUEST['twitter-link'])) {
				update_option('twitter-link', $_REQUEST['twitter-link']);
			} else	update_option('twitter-link', 'amiran98');	

			if(isset($_REQUEST['rss-link'])) {
				update_option('rss-link', $_REQUEST['rss-link']);
			} else	update_option('rss-link', 'amiran98');	
			
			if(isset($_REQUEST['in-link'])) {
				update_option('in-link', $_REQUEST['in-link']);
			} else	update_option('in-link', 'amiran98');	
			
			header("Location: themes.php?page=functions.php&saved=true");
			die;			
		}
		add_action('admin_head', 'amiran98_theme_page_head');
	}
	add_theme_page( __( 'Theme Setting', 'amiran98' ), __( 'Theme Setting','amiran98' ), 'edit_theme_options', basename(__FILE__), 'amiran98_theme_page' );
}

function amiran98_theme_page_head() {
	// css+script ...
?>
<?php
} 

function amiran98_theme_page() {
	if ( isset($_REQUEST['saved']) ) echo '<div id="message" class="updated fade"><p><strong>Options Saved</strong></p></div>';
?>
<div class="wrap">
	<div id="amiran98">
		<h2><?php _e('amiran98 Custom Options','amiran98') ?></h2>
		<form name="amiran98" method="post" action="<?php $_SERVER['REQUEST_URI']; ?>">
			<input type="hidden" name="action" value="save" />
			<table class="optiontable">
				<tbody>
				<tr>
					<th><?php _e('Slider Activation','amiran98') ?></th>
					<td><input name="amiran98_slider_activate" id="amiran98_slider_activate" type="checkbox" class="code" value="1"<?php checked( '1' == get_option('amiran98_slider_activate') ); ?> /><br/>
					</td>
				</tr>
				<tr>
					<th><?php _e('Slider Categories:','amiran98') ?></th>
					<td><input name="amiran98_slider_cat" id="amiran98_slider_cat" type="text" class="code" value="<?php echo get_option('amiran98_slider_cat'); ?>" /><br/>
					</td>
				</tr>		
				<tr>
					<th><?php _e('Number of the slides:','amiran98') ?></th>
					<td><input name="amiran98_slider_number" id="amiran98_slider_number" type="text" class="code" value="<?php echo get_option('amiran98_slider_number'); ?>" /><br/>
					</td>
				</tr>
				<tr>
					<th><?php _e('Facebook URL:','amiran98') ?></th>
					<td><input name="facebook-link" placeholder="e.g https://www.facebook.com/alimir.ir" id="facebook-link" type="text" class="code" value="<?php echo get_option('facebook-link'); ?>" /><br/>
					</td>
				</tr>
				<tr>
					<th><?php _e('Twitter URL:','amiran98') ?></th>
					<td><input name="twitter-link" placeholder="e.g https://twitter.com/alimirir" id="twitter-link" type="text" class="code" value="<?php echo get_option('twitter-link'); ?>" /><br/>
					</td>
				</tr>
				<tr>
					<th><?php _e('RSS link:','amiran98') ?></th>
					<td><input name="rss-link" placeholder="e.g http://alimir.ir/feed/" id="rss-link" type="text" class="code" value="<?php echo get_option('rss-link'); ?>" /><br/>
					</td>
				</tr>
				<tr>
					<th><?php _e('Linkedin URL:','amiran98') ?></th>
					<td><input name="in-link" placeholder="e.g www.linkedin.com" id="in-link" type="text" class="code" value="<?php echo get_option('in-link'); ?>" /><br/>
					</td>
				</tr>
				</tbody>
			</table>
		<p class="submit">
			<input type="submit" name="Save" value="<?php _e('Save Changes') ?>" />
		</p>
		</form>	
	</div>
</div>	
<?php
}
function the_breadcrumb() {
  
  $showOnHome = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
  $delimiter = '&raquo;'; // delimiter between crumbs
  $home = __('Home','amiran98'); // text for the 'Home' link
  $showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
  $before = '<span class="current">'; // tag before the current crumb
  $after = '</span>'; // tag after the current crumb
  
  global $post;
  $homeLink = get_bloginfo('url');
  
  if (is_home() || is_front_page()) {
  
    if ($showOnHome == 1) echo '<div id="breadcrumbs"><a href="' . $homeLink . '">' . $home . '</a></div>';
  
  } else {
  
    echo '<div id="breadcrumbs"><a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
  
    if ( is_category() ) {
      $thisCat = get_category(get_query_var('cat'), false);
      if ($thisCat->parent != 0) echo get_category_parents($thisCat->parent, TRUE, ' ' . $delimiter . ' ');
      echo $before . esc_html_e('Posts made in','amiran98') .'"' . single_cat_title('', false) . '"' . $after;
  
    } elseif ( is_search() ) {
      echo $before . esc_html_e('Search results for','amiran98') . '"' . get_search_query() . '"' . $after;
  
    } elseif ( is_day() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('d') . $after;
  
    } elseif ( is_month() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('F') . $after;
  
    } elseif ( is_year() ) {
      echo $before . get_the_time('Y') . $after;
  
    } elseif ( is_single() && !is_attachment() ) {
      if ( get_post_type() != 'post' ) {
        $post_type = get_post_type_object(get_post_type());
        $slug = $post_type->rewrite;
        echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a>';
        if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
      } else {
        $cat = get_the_category(); $cat = $cat[0];
        $cats = get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        if ($showCurrent == 0) $cats = preg_replace("#^(.+)\s$delimiter\s$#", "$1", $cats);
        echo $cats;
        if ($showCurrent == 1) echo $before . get_the_title() . $after;
      }
  
    } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
      $post_type = get_post_type_object(get_post_type());
      echo $before . $post_type->labels->singular_name . $after;
  
    } elseif ( is_attachment() ) {
      $parent = get_post($post->post_parent);
      $cat = get_the_category($parent->ID); $cat = $cat[0];
      echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
      echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a>';
      if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
  
    } elseif ( is_page() && !$post->post_parent ) {
      if ($showCurrent == 1) echo $before . get_the_title() . $after;
  
    } elseif ( is_page() && $post->post_parent ) {
      $parent_id  = $post->post_parent;
      $breadcrumbs = array();
      while ($parent_id) {
        $page = get_page($parent_id);
        $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
        $parent_id  = $page->post_parent;
      }
      $breadcrumbs = array_reverse($breadcrumbs);
      for ($i = 0; $i < count($breadcrumbs); $i++) {
        echo $breadcrumbs[$i];
        if ($i != count($breadcrumbs)-1) echo ' ' . $delimiter . ' ';
      }
      if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
  
    } elseif ( is_tag() ) {
      echo $before . esc_html_e('Posts Tagged ','amiran98') . '"' . single_tag_title('', false) . '"' . $after;
  
    } elseif ( is_author() ) {
       global $author;
      $userdata = get_userdata($author);
      echo $before . esc_html_e('Posts by ','amiran98') . $userdata->display_name . $after;
  
    } elseif ( is_404() ) {
      echo $before . _e( 'Error 404 - Not Found', 'amiran98' ) . $after;
    }
  
    if ( get_query_var('paged') ) {
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
      echo __('Page') . ' ' . get_query_var('paged');
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
    }
  
    echo '</div>';
  
  }
}
?>